Subject: Bug#1063: CreateDB fails with error `DBI connect('dbname=/var/lib/x2go/x2go_sessions', '', ...) failed`

From: Sivachidambaram Somu <[email-masked]>
Date: Mon, 29 Aug 2016 15:03:39 +0530

My bad. I have given below the output of the mount command on my machine.

% mount

/dev/xvda1 on / type auto (rw,noatime)

proc on /proc type proc (rw)

sysfs on /sys type sysfs (rw)

devpts on /dev/pts type devpts (rw,gid=5,mode=620)

tmpfs on /dev/shm type tmpfs (rw)

/dev/mapper/ephemeralVG-ephemeral on /local type ext4 (rw)

none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)

fusectl on /sys/fs/fuse/connections type fusectl (rw)

Also, I meant "x2go_sessions" file. The x2golistsessions script is
executable by all users and present under /usr/bin as you said.

% ls -lhrt /usr/bin/x2golist*

-rwxr-xr-x 1 root root 3.3K Apr 27  2015 */usr/bin/x2golistsessions*

-rwxr-xr-x 1 root root 1.4K Apr 27  2015 */usr/bin/x2golistmounts*

-rwxr-xr-x 1 root root 3.0K Apr 27  2015 */usr/bin/x2golistdesktops*

Regards,
Siva Chidambaram Somu

On Sat, Aug 27, 2016 at 10:03 PM, Mihai Moldovan <[email-masked]> wrote:

> On 27.08.2016 12:38 PM, Sivachidambaram Somu wrote:
> > About the SUID, I have not disabled it myself. Let me check the OS
> defaults
> > again and give an update on that.
>
> Looks like I haven't been explicit enough, sorry.
>
> What's the output of "mount"?
>
>
> > Also, I'm able to open them file 'x2golistsessions' in Vim as root. As
> you have
> > pointed out, the operation fails as a normal user.
>
> Wait... do you *really* mean x2golistsessions, or rather the database file
> called x2go_sessions?
>
> The script itself (x2golistsessions) should always be read- and executable
> by
> any user.
>
>
> I've also been looking around if disabling SUID support directly in the
> kernel
> is possible, but haven't found anything related to this. Looks like the
> only way
> to achieve that is via a mount flag. If that's not the case, I'm running
> dry here.
>
>
>
> Mihai
>
>